### Method

# Gio PollableOutputStream is_writable

since: 2.28

#### Declaration

    gboolean
    g_pollable_output_stream_is_writable (
      GPollableOutputStream* stream
    )

#### Description

Checks if `stream` can be written.

Note that some stream types may not be able to implement this 100% reliably, and it is possible that a call to `g_output_stream_write()` after this returns `TRUE` would still block. To guarantee non-blocking behavior, you should always use g_pollable_output_stream_write_nonblocking(), which will return a `G_IO_ERROR_WOULD_BLOCK` error rather than blocking.

The behaviour of this method is undefined if `g_pollable_output_stream_can_poll()` returns `FALSE` for `stream`.

Available since: 2.28

#### Return value

Type: `gboolean`

`TRUE` if `stream` is writable, `FALSE` if not. If an error has occurred on `stream`, this will result in `g_pollable_output_stream_is_writable()` returning `TRUE`, and the next attempt to write will return the error.